package gov.va.shared.model.lookup;

import java.time.ZonedDateTime;

import gov.va.shared.model.core.AuditedPersistent;

public interface Lookup<T, U> extends AuditedPersistent {

	String getDescription();

	String getName();

	Integer getSortOrder();

	ZonedDateTime getEffectiveDate();

	ZonedDateTime getExpirationDate();

	U getLookupType();

}
